Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1322558 - Build properly on MIPS
Summary: Build properly on MIPS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 25
Hardware: mips64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2016-03-30 17:57 UTC by Michal Toman
Modified: 2016-08-08 14:58 UTC (History)
7 users (show)

Fixed In Version: python3-3.5.1-14.fc25 python3-3.5.1-14.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-08 14:58:11 UTC


Attachments (Terms of Use)
Build-properly-on-MIPS.patch (deleted)
2016-03-30 17:57 UTC, Michal Toman
no flags Details | Diff
Build-properly-on-MIPS.patch (deleted)
2016-08-01 18:30 UTC, Michal Toman
no flags Details | Diff
Build-properly-on-MIPS.patch (deleted)
2016-08-08 09:01 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2016-03-30 17:57:27 UTC
Created attachment 1141889 [details]
Build-properly-on-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires tweaking python3 to build properly on MIPS:
1) Do not require valgrind, we have no working valgrind builds at this moment
2) Use %{_pyconfig64_h} on 64-bit MIPS
3) Fix the build triplet, by default python uses debian's 'gnuabi64' suffix but in Fedora we just have 'gnu'
4) test_ctypes fails on 64-bit MIPS, disable it for now

Actual results:
valgrind required, %{_pyconfig32_h} is used on 64-bit MIPS, triplet uses 'gnuabi64' suffix, test_ctypes runs and fails

Expected results:
valgrind not required, %{_pyconfig64_h} used on 64-bit MIPS, 'gnu' used in triplet, test_ctypes disabled

Additional info:
Attachind dist-git patch. It would be great if this could also be applied to F24.

Comment 1 Jan Kurik 2016-07-26 04:10:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Michal Toman 2016-08-01 18:30:00 UTC
Created attachment 1186507 [details]
Build-properly-on-MIPS.patch

The patch is tested and works on MIPS (as described in #1322526).

Rebased for current version.

Comment 3 Charalampos Stratakis 2016-08-08 08:51:42 UTC
Hello.
It seems you forgot to include the patch that is applied in the SPEC file:

00212-fix-mips64-triplet.patch

Comment 4 Michal Toman 2016-08-08 09:01:14 UTC
Created attachment 1188578 [details]
Build-properly-on-MIPS.patch

Ah, my bad. Fixed.

Comment 5 Charalampos Stratakis 2016-08-08 14:58:11 UTC
Committed and built for rawhide and f25.


Note You need to log in before you can comment on or make changes to this bug.